Page MenuHomePhabricator

Prepare our base system layer for Debian 11/bullseye
Open, MediumPublic

Description

This task tracks the preparation of our base system services for Debian 11/bullseye. Nothing is released yet, schedule is here:
https://lists.debian.org/debian-devel-announce/2020/03/msg00002.html

Further base packages to build/import:

  • debmonitor-client
  • debdeploy-client
  • ferm (patched compared to Debian)
  • python-wmflib
  • prometheus-rsyslog-exporter

Event Timeline

MoritzMuehlenhoff renamed this task from This task tracks the preparation of our base system services for Debian 11/bullseye to Prepare our base system layer for Debian 11/bullseye.Feb 26 2021, 1:25 PM
MoritzMuehlenhoff triaged this task as Medium priority.

Change 667162 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Add bullseye-wikimedia to apt.wikimedia.org

https://gerrit.wikimedia.org/r/667162

Change 667162 merged by Muehlenhoff:
[operations/puppet@production] Add bullseye-wikimedia to apt.wikimedia.org

https://gerrit.wikimedia.org/r/667162

Mentioned in SAL (#wikimedia-operations) [2021-03-17T13:58:41Z] <moritzm> added bullseye tftpboot environment T275873

Change 675104 had a related patch set uploaded (by Muehlenhoff; author: Muehlenhoff):
[operations/puppet@production] Add bullseye d-i config

https://gerrit.wikimedia.org/r/675104

Change 675104 merged by Muehlenhoff:
[operations/puppet@production] Add bullseye d-i config

https://gerrit.wikimedia.org/r/675104

Change 677279 had a related patch set uploaded (by Muehlenhoff; author: Muehlenhoff):

[operations/puppet@production] debian: Add an alias for bullseye

https://gerrit.wikimedia.org/r/677279

Change 677279 abandoned by Muehlenhoff:

[operations/puppet@production] debian: Add an alias for bullseye

Reason:

https://gerrit.wikimedia.org/r/677279

Mentioned in SAL (#wikimedia-operations) [2021-04-07T08:58:33Z] <moritzm> imported quickstack for bullseye/main (part of standard packages) T275873

Mentioned in SAL (#wikimedia-operations) [2021-04-07T09:40:50Z] <moritzm> imported git-lfs for bullseye/main (part of standard packages) T275873

Change 677492 had a related patch set uploaded (by Muehlenhoff; author: Muehlenhoff):

[operations/debs/quickstack@master] Rebuild for bullseye T275873

https://gerrit.wikimedia.org/r/677492

Change 677492 merged by Muehlenhoff:

[operations/debs/quickstack@master] Rebuild for bullseye T275873

https://gerrit.wikimedia.org/r/677492

Change 677807 had a related patch set uploaded (by Muehlenhoff; author: Muehlenhoff):

[operations/puppet@production] Only install git-fat for distros up to Buster

https://gerrit.wikimedia.org/r/677807

Change 677807 merged by Muehlenhoff:

[operations/puppet@production] Only install git-fat for distros up to Buster

https://gerrit.wikimedia.org/r/677807

Change 677931 had a related patch set uploaded (by Muehlenhoff; author: Muehlenhoff):

[operations/puppet@production] Switch to iptables legacy alternative provider on bullseye

https://gerrit.wikimedia.org/r/677931

Change 677931 merged by Muehlenhoff:

[operations/puppet@production] Switch to iptables legacy alternative provider on bullseye

https://gerrit.wikimedia.org/r/677931

Change 678838 had a related patch set uploaded (by Muehlenhoff; author: Muehlenhoff):

[operations/puppet@production] Extend d-i config for bullseye

https://gerrit.wikimedia.org/r/678838

Change 678838 merged by Muehlenhoff:

[operations/puppet@production] Extend d-i config for bullseye

https://gerrit.wikimedia.org/r/678838

Mentioned in SAL (#wikimedia-operations) [2021-04-13T14:08:57Z] <moritzm> updated bullseye d-i image to 2021-04-12 daily build T275873

Change 679768 had a related patch set uploaded (by Muehlenhoff; author: Muehlenhoff):

[operations/puppet@production] Remove Python 2 packages on Bullseye

https://gerrit.wikimedia.org/r/679768

Change 679768 merged by Muehlenhoff:

[operations/puppet@production] Remove Python 2 packages on Bullseye

https://gerrit.wikimedia.org/r/679768

Mentioned in SAL (#wikimedia-operations) [2021-04-16T11:02:31Z] <moritzm> imported ferm 2.5.1-1+wmf1 to bullseye-wikimedia/main T275873

Change 680978 had a related patch set uploaded (by Muehlenhoff; author: Muehlenhoff):

[operations/puppet@production] Adapt name of security suite for bullseye and later

https://gerrit.wikimedia.org/r/680978

Change 680978 merged by Muehlenhoff:

[operations/puppet@production] Adapt name of security suite for bullseye and later

https://gerrit.wikimedia.org/r/680978

Mentioned in SAL (#wikimedia-operations) [2021-04-19T11:33:51Z] <moritzm> imported debdeploy 0.0.99.13-1+deb11u1 to bullseye-wikimedia T275873

Change 681033 had a related patch set uploaded (by Muehlenhoff; author: Muehlenhoff):

[operations/puppet@production] Only disable timers for ipmitoo/smartmon timers up to Buster

https://gerrit.wikimedia.org/r/681033

Change 681033 merged by Muehlenhoff:

[operations/puppet@production] Only disable timers for ipmitoo/smartmon timers up to Buster

https://gerrit.wikimedia.org/r/681033

Mentioned in SAL (#wikimedia-operations) [2021-04-23T08:12:59Z] <moritzm> upgrading d-i image for bullseye to RC1 release T275873